Subject: Re: [PATCH v2] scripts: get_maintainer: steer people away from using file paths

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jul 2023 14:57:21 -0700

On Wed, 26 Jul 2023 14:07:28 -0700 Linus Torvalds wrote:
> On Wed, 26 Jul 2023 at 13:36, Jakub Kicinski <[email-masked]> wrote:
> >
> > Just so I fully understand what you're saying - what do you expect me
> > to do? Send the developer a notifications saying "please repost" with
> > this CC list? How is that preferable to making them do it right the
> > first time?!  
> 
> Not at all.
> 
> The whole point is that you already end up relying on scripting to
> notice that some people should be cc'd, so just add them
> automatically.
> 
> Why would you
> 
>  (a) waste your own time asking the original developer to re-do his submission
> 
>  (b) ask the original developer to do something that clearly long-time
> developers don't do
> 
>  (c) waste *everybody's* time re-submitting a change that was detected
> automatically and could just have been done automatically in the first
> place?
> 
> just make patchwork add the cc's automatically to the patch - and send
> out emails to the people it added.
> 
> Patchwork already sends out emails for other things. Guess how I know?
> Because I get the patchwork-bot emails all the time for things I have
> been cc'd on.  Including, very much, the netdevbpf ones.
> 
> And people who don't want to be notified can already register with
> patchwork to not be notified. It's right there in that
> 
>    Deet-doot-dot, I am a bot.
>    https://korg.docs.kernel.org/patchwork/pwbot.html
> 
> footer.
> 
> So I would literally suggest you just stop asking people to do things
> that automation CAN DO BETTER.
> 
> The patchwork notification could be just a small note (the same way
> the pull request notes are) that point to the submission, and say
> "your name has been added to the Cc for this patch because it claims
> to fix something you authored or acked".

Lots of those will be false positives, and also I do not want 
to sign up to maintain a bot which actively bothers people.
And have every other subsystem replicate something of that nature.

Sidebar, but IMO we should work on lore to create a way to *subscribe*
to patches based on paths without running any local agents. But if I
can't explain how get_maintainers is misused I'm sure I'll have a lot
of luck explaining that one :D

> See what I'm saying? Why are you wasting your time on this? Why are
> you making new developers do pointless stuff that is better done by a
> script, since you're just asking the developer to run a script in the
> first place?

For the last time, most people already run get_maintainer, they just 
choose the wrong "mode" of running it for the use case.
I am not trying to make anyone do anything they aren't already doing.

> You are just wasting literally EVERYBODY'S time with your workflow
> rules. For no actual advantage, since the whole - and only - point of
> this all was that it was scriptable, and is in fact already being
> scripted, which is how you even notice the issue in the first place.

And it has nothing to do with *my* workflow. Unless you're arguing 
that asking for authors of patches which Fixes points to is part of
"my" workflow and nobody else's.

> You seem to be just overly attached to having people waste their time
> on running a script that you run automatically *anyway*, and make that
> some "required thing for inexperienced developers".

I said "for the last time" so I won't repeat...

> And it can't even be the right thing to do, when experienced
> developers don't do it.

I explained to you already that Florian's posting is a PR.